﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EditComment.aspx.cs" Inherits="HelpDesk.EditComment" MasterPageFile="HelpDeskMaster.Master" ValidateRequest="false" %>
<%@ Import Namespace="HelpDesk.Resources" %>


<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<script src="<%= Cdn("js/editor.js") %>" type="text/javascript"></script>
<script src="<%= Cdn("js/utils.js") %>" type="text/javascript"></script>

<div  class="outerroundedbox onoffcontainer">
<div class="richeditor">
	<div class="editbar">
		<button tabindex="-1" class="boldbtn fa fa-bold" title="bold" onclick="wswgEditor.doClick('bold');" type="button"></button>
			<button tabindex="-1" class="italicbtn fa fa-italic" title="italic" onclick="wswgEditor.doClick('italic');" type="button"></button>
			<button tabindex="-1" class="underlinebtn fa fa-underline" title="underline" onclick="wswgEditor.doClick('underline');" type="button"></button>
			<button tabindex="-1" class="hyperlinkbtn fa fa-link" title="hyperlink" onclick="wswgEditor.doLink();" type="button"></button>
			<button tabindex="-1" class="listbtn fa fa-list-ul" title="insert unordered list" type="button" onclick="wswgEditor.doClick('InsertUnorderedList');"></button>
			<button tabindex="-1" class="listbtn fa fa-list-ol" title="insert orderd list" type="button" onclick="wswgEditor.doClick('InsertOrderedList');"></button>
			<button tabindex="-1" class="colorbtn fa fa-eyedropper" title="color" onclick="wswgEditor.showColorGrid2('none')" type="button"></button><span id="colorpicker201" class="colorpicker201"></span>
			<button tabindex="-1" class="htmlbtn fa fa-code" title="switch to source" type="button" onclick="wswgEditor.SwitchEditor()"></button>
		</div>
	<div class="container">
	<asp:textbox id="tbComment" runat="server" Width="100%" Height="180px" TextMode="MultiLine"></asp:textbox>
	</div>
	<asp:CheckBox ID="cbTechOnly" runat="server" CssClass="grey" Text="Visible to techs only" /><br /><br />
	<asp:button id="btnOK" runat="server" text="OK" OnClientClick="wswgEditor.doCheck();return true;" onclick="btnOK_Click"></asp:button>
	<asp:button id="btnDel" runat="server" text="Delete" OnClientClick="return confirm('Are you sure you want to delete this comment?');" onclick="btnDel_Click"></asp:button>
	<button class="graybutton" type="button" onclick="document.location.href='Ticket/<%= _issueId %>'"><%= LangStrings.Cancel %></button>
</div>
</div>
<script type="text/javascript">
	wswgEditor.initEditor("<%=tbComment.ClientID%>", <%= (!(Request.Browser.IsMobileDevice || IsiPhoneOrAndroid())).ToString().ToLower() %>);

	$(wswgEditor.getEditorDoc()).bind('keyup', function() {AutoResizeEditableIframe(wswgEditor.getIframe());});
	$(wswgEditor.getEditorDoc()).keydown(function(e) {ProcessCtrlEnter(e, "<%= btnOK.ClientID %>");}); //process ctrl+enter
	$("#<%=tbComment.ClientID%>").bind('keyup', function() {AutoResize($("#<%=tbComment.ClientID%>").get(0));});
	$("#<%=tbComment.ClientID%>").keydown(function(e) {ProcessCtrlEnter(e, "<%= btnOK.ClientID %>");}); //process ctrl+enter

	document.getElementById('rte').contentWindow.focus(); //prefocusing

	document.getElementById('rte').contentWindow.scroll(0,100);
	
	AutoResizeEditableIframe(wswgEditor.getIframe());
	AutoResize($("#<%=tbComment.ClientID%>").get(0));

</script>

</asp:Content>