﻿<%@ Page Title="" Language="C#" MasterPageFile="~/HelpDeskMaster.Master" EnableViewState="false" AutoEventWireup="true" CodeBehind="TicketSchedule.aspx.cs" Inherits="HelpDesk.TicketSchedule" %>
<%@ Import Namespace="HelpDesk.Resources" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
<link type="text/css" href="js/jquery.datetimepicker.css" rel="stylesheet" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<table class="grey outerroundedbox center lightbg" cellpadding="9">
<tr><th colspan="2">
<asp:Label ID="lblScheduled" runat="server" meta:resourcekey="lblScheduledResource1" Visible="false">This ticket IS repeating. You can edit the schedule below:</asp:Label>
<asp:Label ID="lblNotScheduled" runat="server" meta:resourcekey="lblNotScheduledResource1">This ticket is NOT repeating. You can add a schedule below:</asp:Label>
</th></tr>
<tr><td><%= LangStrings.Repeat %></td><td>
	<asp:DropDownList ID="ddlRepeatType" runat="server" EnableViewState="false">
	<asp:ListItem Value="0">Repeat once</asp:ListItem>
	<asp:ListItem Value="1">Daily</asp:ListItem>
	<asp:ListItem Value="-1">Daily on workdays</asp:ListItem>
	<asp:ListItem Value="7">Weekly</asp:ListItem>
	<asp:ListItem Value="14">Bi-Weekly</asp:ListItem>
	<asp:ListItem Value="30">Monthly</asp:ListItem>
	<asp:ListItem Value="60">Bi-Monthly</asp:ListItem>
	<asp:ListItem Value="90">Quarterly</asp:ListItem>
	<asp:ListItem Value="182">Half-year</asp:ListItem>
	<asp:ListItem Value="365">Yearly</asp:ListItem>
	</asp:DropDownList>
</td></tr>
<tr>
	<td align="right"><%= LangStrings.StartRepeatingDate %>:</td>
	<td><asp:TextBox ID="tbDateFrom" runat="server" CssClass="datepick" EnableViewState="false"></asp:TextBox></td>
</tr>
	<tr>
		<td></td>
		<td>
			<asp:CheckBox ID="cbReopen" runat="server" Text="Reopen the original ticket, instead of creating a new one every time"/>
		</td>
	</tr>
<tr><td></td><td>
<asp:Button ID="btnSave" runat="server" Text="OK" OnClick="btnSave_Click" />
<asp:Button ID="btnDelete" runat="server" Text="Stop repetition" OnClientClick="return confirm(areYouSure);" OnClick="btnDelete_Click" />
<button class="graybutton" type="button" onclick="document.location.href='Ticket/<%= _ticketId %>'">Cancel</button>
</td></tr>
<tr><td></td><td>
<a id="lnkOriginal" runat="server" visible="false"><asp:Label runat="server" meta:resourcekey="lblOriginalResource1">open the original ticket</asp:Label>&nbsp;|&nbsp;</a>
<% if(Jitbit.Utils.UserHelpers.IsCurrentUserAdmin()) { %>
	<a id="lnkReport" href="Reporting/ScheduledTickets">view all scheduled tickets</a>
<% } %>
</td></tr>
</table>

<%--datepicker--%>
<script type="text/javascript" src="js/jquery.datetimepicker.js"></script>
<script type="text/javascript">
	<%--datepicker init--%>
	$(function () {
		$(".datepick").datetimepicker({ timepicker: false, format: globalDatePickerFormat, dayOfWeekStart: globalDatePickerDayOfWeekStart });
	});

	var areYouSure = '<%= LangStrings.AreYouSure %>';
</script>

</asp:Content>