﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AdminEmail.aspx.cs" Inherits="HelpDesk.AdminEmail" ValidateRequest="false" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Import Namespace="Jitbit.Utils" %>
<%@ Register TagPrefix="my" Namespace="HelpDesk" Assembly="HelpDesk"  %>


<asp:Content ContentPlaceHolderID="head" runat="server"></asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder2" ID="Content2" runat="server">
<a href="Admin.aspx"><%= HelpDesk.Resources.LangStrings.Administration %></a> &raquo; <%= HelpDesk.Resources.LangStrings.EmailSettings %>
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
	<div class="narrowCenteredContainer onoffcontainer">

<p><asp:Button ID="btnSaveTop" runat="server" Text="Save changes" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1" /></p>
<%--<div class="toparea" style="border-bottom:1px solid #e2e2e2">
<div><strong><a href="Admin.aspx">Administration</a> &raquo; <asp:Label runat="server" EnableViewState="False" meta:resourcekey="Label1Resource1" Text="Email settings"/></strong></div>
<p/>
</div>--%>

<div runat="server" id="divTestEmail" visible="false" enableviewstate="false"></div>

<table class="outerroundedbox admintable grey" width="100%">
<tr><th>
	<h3><asp:Label runat="server" ID="lblIncomingHandler" EnableViewState="False" meta:resourcekey="lblIncomingHandlerResource1" Text="Incoming mail-handler settings"/>
	<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#incoming')" class="fa fa-question-circle"></a></h3>
</th></tr>
<% if(Instance.IsMultiInstanceApp) { %>
	<tr>
		<td>
			<p><h3>We created an email address for you - <b><a href="mailto:support@<%= Instance.CurrentInstanceName %>.jitbit.com">support@<%= Instance.CurrentInstanceName %>.jitbit.com</a></b>. Simply setup email-forwarding to this mailbox. All messages sent to it will create tickets.</h3>
				In addition you can add your own POP/IMAP accounts below
			</p>
		</td>
	</tr>
	<tr><td class="separator"></td></tr>
<% } %>
		<tr>
			<td><button type="button" id="btnServers" onclick="document.location='AdminPOPServers.aspx'"><asp:Label ID="Label1" runat="server" EnableViewState="false" meta:resourcekey="lblPOPServersResource1">Add/remove incoming email accounts...</asp:Label></button></td>
		</tr>
		<tr>
			<td>
				<p><i><asp:Label runat="server" ID="lblIcomingPrompt" EnableViewState="False" meta:resourcekey="lblIcomingPromptResource1" CssClass="grey2" Text='"Incoming mail-handler" periodically checks a specified email address and generates tickets based on the incoming emails'/></i></p>
			</td>
		</tr>
		<tr><td class="separator"></td></tr>
		<tr>
			<td>
				<p><asp:CheckBox ID="cbMailCheckerAllowUnregisteredUsers" runat="server" Text="Accept emails from unregistered users." meta:resourcekey="cbMailCheckerAllowUnregisteredUsersResource1"/></p>
				
				<i class="grey2"><asp:Label runat="server" ID="lblMailCheckerHelp" EnableViewState="False" meta:resourcekey="lblMailCheckerHelpResource1" Text='When OFF, HelpDesk will create email-based tickets only from existing email-addresses, which are already registered in the system. When ON, HelpDesk will convert ALL incoming emails into new tickets. If an email-address is not present in the system yet, HelpDesk will create a new user with a new password. The user can later retrieve his password via the "forgot password" link.'/></i>
			</td>
		</tr>
		<tr>
			<td>
				<p><asp:Label runat="server" ID="lblDefCat" AssociatedControlID="ddlCat" EnableViewState="False" meta:resourcekey="lblDefCatResource1" Text="New tickets go the default category:"/>
				<my:GroupedDropDownList ID="ddlCat" runat="server" DataTextField="Name" DataValueField="CategoryID" DataGroupField="Section" meta:resourcekey="ddlNewIssueCatResource1" /></p>
			</td>
		</tr>
		<tr><td><asp:CheckBox ID="cbDontAddCC" runat="server" Text="Do not add recipients from CC and TO fields to ticket-subscribers" meta:resourcekey="cbDontAddCCResource1" /></td></tr>
		<tr><td><asp:CheckBox ID="cbExtractOriginalSenderFromFwd" runat="server" Text="Extract the original sender from forwarded emails and create a ticket on their behalf" meta:resourcekey="cbExtractOriginalSenderFromFwdResource1" /><a href="javascript:DisplayHelp('<%=HelpFilePath()%>#extractfwd')" class="fa fa-question-circle"></a></td></tr>
		<tr><td class="grey2">
			<br />
			<asp:Label runat="server" ID="lblNoteCheckEmailApi" EnableViewState="False" meta:resourcekey="lblNoteCheckEmailApiResource1" Text="PS. Also, don't forget to check our "/>
			<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#email_api')">Email API</a></td></tr>

</table>

<table class="outerroundedbox admintable grey notifications" width="100%">
<colgroup><col style="width:20%" /><col style="width:80%" /></colgroup>
<tr>
<th colspan="2">
<h3><asp:Label runat="server" ID="Label5" EnableViewState="False" meta:resourcekey="Label2Resource1" Text="Notifications"/>
<a href="javascript:DisplayHelp(' <%=HelpFilePath()%>#notifications')" class="fa fa-question-circle"></a></h3>
</th>
</tr>
<tbody>
<tr><td colspan="2" style="padding-bottom:14px"><asp:CheckBox ID="cbEmail" runat="server" onclick="EnableDisableAllEmailFields(this.checked);" Text="Email notifications enabled" meta:resourcekey="cbEmailResource1" /></td></tr>
<tr><td colspan="2" class="separator" style="padding-top:14px"><asp:CheckBox ID="cbEnableCloseNotification" runat="server" Text="Enable notification about ticket closing" meta:resourcekey="cbEnableCloseNotificationResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbEnableTicketConfirmationNotification" runat="server" Text="Enable ticket confirmation notification" meta:resourcekey="cbEnableTicketConfirmationNotificationResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbSendAdminEmailOnNewIssue" runat="server" Text="Notify all administrators of new tickets" meta:resourcekey="cbSendAdminEmailOnNewIssueResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbSendTechniciansEmailOnNewIssue" runat="server" Text="Notify technicians of new tickets (remember to edit the category permissions)" meta:resourcekey="cbSendTechniciansEmailOnNewIssueResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbNotifyAllTechsOnReply" runat="server" Text="Notify ALL technicians in a category when a customer updates a ticket (not just the ticket-technician and ticket-subscribers)" meta:resourcekey="cbNotifyAllTechsOnReplyResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbEmailOtherTechsOnTakeover" runat="server" Text="Notify ALL technicians in a category when another technician TAKES a ticket" meta:resourcekey="cbEmailOtherTechsOnTakeoverResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbSendTechEmailOnKBUpdate" runat="server" Text="Notify ALL technicians in a category when a KB article is updated" meta:resourcekey="cbSendTechEmailOnKBUpdateResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbNoAttachmentsInNotifications" runat="server" Text="Do not include any attachments into outgoing notifications" meta:resourcekey="cbNoAttachmentsInNotificationsResource1" /><a href="javascript:DisplayHelp('<%=HelpFilePath()%>#noattach')" class="fa fa-question-circle"></a></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableAutologinLinks" runat="server" Text="Do not send 'autologin' links in email notifications" meta:resourcekey="cbDisableAutologinLinksResource1" /><a href="javascript:DisplayHelp('<%=HelpFilePath()%>#autologin')" class="fa fa-question-circle"></a></td></tr>
</tbody>
</table>

<table class="outerroundedbox admintable grey notifications" width="100%">
<colgroup><col style="width:20%" /><col style="width:80%" /></colgroup>
<tr>
	<th colspan="2">
		<h3><asp:Label runat="server" ID="Label2" EnableViewState="False" meta:resourcekey="Label1Resource1" Text="Outgoing email settings"/>
		<a href="javascript:DisplayHelp(' <%=HelpFilePath()%>#email')" class="fa fa-question-circle"></a></h3>
	</th>
</tr>

<%--<tr><td colspan="2" style="border-bottom:1px solid silver"><asp:CheckBox ID="cbSendTechSMSOnNewIssue" runat="server" Text="Send SMS to technicians about new tickets (<b>beta</b>, US & Canadian numbers only, make sure your techs have phones set up in their profiles, the format is '+1xxxxxxxxxx')" meta:resourcekey="cbSendTechSMSOnNewIssueResource1" /></td></tr>--%>
	<tbody>
		<tr>
			<td>
				<b><asp:Label runat="server" ID="lblFrom" AssociatedControlID="tbFrom" EnableViewState="False" meta:resourcekey="lblFromResource1" Text='"From" email-address for notifications:'/></b>
			</td>
			<td>
				<asp:TextBox ID="tbFrom" MaxLength="150" runat="server" CssClass="required email" onblur="$('#aspnetForm').validate();SetGmail()"/>
				<br /><br /><i class="grey2" id="spfNote">If you're using a custom "from" address and customers complain that some emails are false-detected as "spam", you might want to set <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#spf')">SPF-records</a> for your domain.</i>
			</td>
		</tr>
		<tr>
			<td>
				<b><asp:Label runat="server" ID="lblFromName" AssociatedControlID="tbFromName" EnableViewState="False" meta:resourcekey="lblFromNameResource1" Text='"From" name:'/></b>
			</td>
			<td>
				<asp:TextBox ID="tbFromName" MaxLength="50" runat="server"/>
				<br /><br />
				<i class="grey2"><asp:Label runat="server" ID="lblFromNameNote" EnableViewState="False" meta:resourcekey="lblFromNameNoteResource1" Text='Example "MyCompany Support Team". Used for all email notifications, except the human replies (in this case, from "From" name is the name of the user or technician who wrote the message).'/></i>
			</td>
		</tr>
		<tr>
			<td>
				<b><asp:Label runat="server" ID="lblReplyTo" AssociatedControlID="tbReplyTo" EnableViewState="False" meta:resourcekey="lblReplyToResource1" Text='"Reply-to":'/></b>
			</td>
			<td>
				<asp:TextBox ID="tbReplyTo" MaxLength="50" runat="server" CssClass="email"/>
				<br /><br />
				<i class="grey2"><asp:Label runat="server" ID="lblReplyToNote" EnableViewState="False" meta:resourcekey="lblReplyToNoteResource1" Text="It is recommended to set the 'Reply-To' address to the same email address that as in the email-checker above."/></i>
			</td>
		</tr>
		<tr>
			<td></td>
			<td><asp:CheckBox ID="cbUseFromNameForUserOrigMsgs" runat="server" Text="Use 'From Name' for ALL outgoing notifications" meta:resourcekey="cbUseFromNameForUserOrigMsgsResource1" />
				<br /><br />
				<i class="grey2">
				<asp:Label runat="server" ID="lblUseFromNameForUserOrigMsgs" EnableViewState="False" meta:resourcekey="lblUseFromNameForUserOrigMsgsResource1" Text="When checked, all outgoing email notitications will have"/>				
				"<%= string.IsNullOrEmpty(HelpDesk.BusinessLayer.Settings.This.FromName) ? "Support Team" : HelpDesk.BusinessLayer.Settings.This.FromName %>"
				<asp:Label runat="server" ID="lblUseFromNameForUserOrigMsgs2" EnableViewState="False" meta:resourcekey="lblUseFromNameForUserOrigMsgsResource2" Text=' in the "from" field. When unchecked, replies will have actual usernames in the "from" field (like "From: John"), and only the system-messages will be from '/>
				 "<%= string.IsNullOrEmpty(HelpDesk.BusinessLayer.Settings.This.FromName) ? "Support Team" : HelpDesk.BusinessLayer.Settings.This.FromName %>".</i>
			</td>
		</tr>
		<tr><td></td><td>
			
		</td></tr>

<tr>
	<td colspan="2">
		<h3>SMTP server settings:</h3>
		<hr />
		<div id="divDefaultSMTP" runat="server" enableviewstate="false">
			<br />
			<b><asp:CheckBox ID="cbUseDefaultSMTP" runat="server" Text="Use Jitbit's SMTP server" meta:resourcekey="cbDefaultSMTPResource1" onclick="EnableDisableSMTPFields(this.checked);" /></b>
		</div>
		</td></tr>
		<tr>
			<td>
				<asp:Label runat="server" ID="lblSMTPServer" AssociatedControlID="tbSMTPServer" EnableViewState="False" meta:resourcekey="lblSMTPServerResource1" Text='SMTP server address (eg. "smtp.server.com"):'/>
			</td>
			<td><asp:TextBox ID="tbSMTPServer" MaxLength="50" runat="server"  onblur="$('#aspnetForm').validate();SetGmail()" /></td>
		</tr>
		<tr>
			<td>
				<asp:Label runat="server" ID="lblSMTPPort" AssociatedControlID="tbSMTPPort" EnableViewState="False" meta:resourcekey="lblSMTPPortResource1" Text='SMTP server port (eg. "25"):'/>
			</td>
			<td><asp:TextBox ID="tbSMTPPort" runat="server" type="number" min="0" /><span class="grey"> (25, 465, 587 etc.)</span></td>
		</tr>
		<tr>
			<td></td>
			<td><asp:CheckBox ID="cbSmtpAuth" runat="server" Text="SMTP server requires authentication" meta:resourcekey="cbSmtpAuthResource1"/></td>
		</tr>
		<tr>
			<td >
				<asp:Label runat="server" ID="lblSMTPUser" AssociatedControlID="tbSMTPUser" EnableViewState="False" meta:resourcekey="lblSMTPUserResource1" Text="SMTP username:"/>
			</td>
			<td><asp:TextBox ID="tbSMTPUser" MaxLength="50" runat="server"/></td>
		</tr>
		<tr>
			<td>
				<asp:Label runat="server" ID="lblSMTPPassword" AssociatedControlID="tbSMTPPsw" EnableViewState="False" meta:resourcekey="lblSMTPPasswordResource1" Text="SMTP password:"/>
			</td>
			<td><asp:TextBox ID="tbSMTPPsw" MaxLength="50" runat="server" TextMode="Password"/></td>
		</tr>
		<tr><td></td>
			<td><asp:CheckBox ID="cbSMTPUseSSL" runat="server" Text="Use SSL to connect to the SMTP server" meta:resourcekey="cbSMTPUseSSLResource1"/>
		</td></tr>
		<tr><td></td>
		<td>
			<asp:Button ID="btnTestSMTP" CausesValidation="false" runat="server" Text="Test SMTP settings..." CssClass="gradientbg" onclick="btnTestSMTP_Click" OnClientClick="return PromptForAddress();" />
			<asp:HiddenField ID="hiddenTestEmail" runat="server" EnableViewState="false" />
		</td></tr>
	</tbody>
</table>
<br /><br />
<table class="outerroundedbox admintable grey" width="100%">
<tr><th colspan="2"><h3><asp:Label runat="server" ID="lblEmailTemplate" EnableViewState="False" meta:resourcekey="lblEmailTemplateResource1" Text="Email Templates"/> <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#template')" class="fa fa-question-circle"></a></h3></th></tr>
		<tbody>
		<tr>
			<td width="50%">
				<h3>
					<asp:Label runat="server" ID="lblNewTicketHeader" EnableViewState="False" meta:resourcekey="lblNewTicketHeaderResource1" Text='"New ticket" email template' />
				</h3>
				<p>
					<asp:Label runat="server" ID="lblNewTicketHeaderNote" EnableViewState="False" meta:resourcekey="lblNewTicketHeaderNoteResource1" Text='Sent to technicians when a new ticket arrives. All technicians that have permissions to the category get one of these.' />
				</p>
				<asp:Label AssociatedControlID="tbEmailSubjectTemplate" runat="server" Text="Subject:" meta:resourcekey="lblSubjectResource1" EnableViewState="false" />
				<asp:TextBox ID="tbNewIssueEmailSubject" runat="server" Width="100%" MaxLength="500"/>
				<asp:Label ID="Label6" AssociatedControlID="tbEmailTemplate" runat="server" Text="Body:" EnableViewState="false" meta:resourcekey="lblBodyResource1" />
				<asp:TextBox ID="tbNewIssueEmailTemplate" runat="server" MaxLength="3000" TextMode="multiline" Rows="14" Width="100%"/>
			</td>
			<td>
				<h3>
					<asp:Label runat="server" ID="lblTicketUpdatedHeader" EnableViewState="False" meta:resourcekey="lblTicketUpdatedHeaderResource1" Text='"Ticket-updated" email template' />
				</h3>
				<p>
					<asp:Label runat="server" ID="lblTicketUpdatedHeaderNote" EnableViewState="False" meta:resourcekey="lblTicketUpdatedHeaderNoteResource1" Text='Sent to both technicians and ticket-submitter (and all ticket-subscribers if any) when a ticket is updated - a reply posted, status changed, ticket closed etc.' />
				</p>
				<asp:Label ID="Label3" AssociatedControlID="tbEmailSubjectTemplate" runat="server" Text="Subject:" meta:resourcekey="lblSubjectResource1" EnableViewState="false" />
				<asp:TextBox ID="tbEmailSubjectTemplate" runat="server" Width="100%" MaxLength="500"/>
				<asp:Label ID="Label4" AssociatedControlID="tbEmailTemplate" runat="server" Text="Body:" EnableViewState="false" meta:resourcekey="lblBodyResource1" />
				<asp:TextBox ID="tbEmailTemplate" runat="server" MaxLength="3000" TextMode="multiline" Rows="14" Width="100%"/>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr>
			<td>
				<h3>
					<asp:Label runat="server" ID="lblTicketClosedHeader" EnableViewState="False" meta:resourcekey="lblTicketClosedHeaderResource1" Text='"Ticket closed" email template' />
				</h3>
				<p>
					<asp:Label runat="server" ID="lblTicketClosedNote" EnableViewState="False" meta:resourcekey="lblTicketClosedNoteHeaderResource1" Text='Sent to subscribers when a ticket is closed. Note that "Disable ticket closed notifications" setting has to be off.' />
				</p>
				<asp:Label AssociatedControlID="tbClosedSubj" runat="server" Text="Subject:" meta:resourcekey="lblSubjectResource1" EnableViewState="false" />
				<asp:TextBox ID="tbClosedSubj" runat="server" Width="100%" MaxLength="500"/>
				<asp:Label AssociatedControlID="tbClosedBody" runat="server" Text="Body:" EnableViewState="false" meta:resourcekey="lblBodyResource1" />
				<asp:TextBox ID="tbClosedBody" runat="server" MaxLength="3000" TextMode="multiline" Rows="14" Width="100%"/>
			</td>
			<td>
				<h3>
					<asp:Label runat="server" ID="lblTicketConfirmationHeader" EnableViewState="False" meta:resourcekey="lblTicketConfirmationHeaderResource1" Text='"Ticket confirmation" email template' />
				</h3>
				<p>
					<asp:Label runat="server" ID="lblTicketConfirmationHeaderNote" EnableViewState="False" meta:resourcekey="lblTicketConfirmationHeaderNoteResource1" Text='Sent to the ticket-submitter after the app received his ticket.' />
				</p>
				<asp:Label AssociatedControlID="tbNewIssueConfirmSubj" runat="server" Text="Subject:" meta:resourcekey="lblSubjectResource1" EnableViewState="false" />
				<asp:TextBox ID="tbNewIssueConfirmSubj" runat="server" Width="100%" MaxLength="500"/>
				<asp:Label ID="Label7" AssociatedControlID="tbNewIssueConfirmBody" runat="server" Text="Body:" EnableViewState="false" meta:resourcekey="lblBodyResource1" />
				<asp:TextBox ID="tbNewIssueConfirmBody" runat="server" MaxLength="3000" TextMode="multiline" Rows="14" Width="100%"/>
			</td>
		</tr>
	<tr><td>&nbsp;</td></tr>
		<tr>
			<td colspan="2">
				<h3>
					<asp:Label runat="server" ID="lblUserWelcomeHeader" EnableViewState="False" meta:resourcekey="lblUserWelcomeHeaderResource1" Text='"Welcome to Helpdesk" email template' />
				</h3>
				<p>
					<asp:Label runat="server" ID="lblUserWelcomeHeaderNote" EnableViewState="False" meta:resourcekey="lblUserWelcomeHeaderNoteResource1" Text='Sent to new users when they register a new account.' />
				</p>
				<asp:Label AssociatedControlID="tbWelcomeSubj" runat="server" Text="Subject:" meta:resourcekey="lblSubjectResource1" EnableViewState="false" />
				<asp:TextBox ID="tbWelcomeSubj" runat="server" Width="100%" MaxLength="500"/>
				<asp:Label AssociatedControlID="tbWelcomeBody" runat="server" Text="Body:" EnableViewState="false" meta:resourcekey="lblBodyResource1" />
				<asp:TextBox ID="tbWelcomeBody" runat="server" MaxLength="3000" TextMode="multiline" Rows="14" Width="100%"/>
			</td>
		</tr>
<tr><td colspan="2" style="text-align:center">
		<asp:Button Text="reset to default" meta:resourcekey="btnResetDesignResource1" style="margin-top:3px" runat="server" ID="btnResetTemplate" onclick="btnResetTemplate_Click" />
	</td>
</tr>
</tbody>
</table>
<p><asp:Button ID="btnSaveBottom" runat="server" Text="Save changes" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1" /></p>
</div>

<script src="<%= Cdn("js/jquery.validate.min.js") %>" type="text/javascript"></script>
<script type="text/javascript">
	$(function () {
		$("#aspnetForm").validate();
		$("#<%= tbSMTPServer.ClientID %>").rules("add", {
			required: "#<%=cbUseDefaultSMTP.ClientID%>:unchecked"
		});

		$("#<%= tbSMTPPort.ClientID %>").rules("add", {
			required: "#<%=cbUseDefaultSMTP.ClientID%>:unchecked"
		});
	});
	function PromptForAddress() {
		var emailAddr = prompt("Enter email to send the test message to", "info@jitbit.com");
		if (emailAddr == null || emailAddr == "") return false;
		document.getElementById("<%= hiddenTestEmail.ClientID %>").value = emailAddr;
		return true;
	}

	function SetGmail() {
		var oAddr = $('#<%= tbFrom.ClientID %>');
		var oSrv = $('#<%= tbSMTPServer.ClientID %>');
		if(oAddr.val().indexOf("@gmail")>-1) {
			oSrv.val("smtp.gmail.com");
		}
		if(oSrv.val()=="smtp.gmail.com") {
			$('#<%=cbSmtpAuth.ClientID %>').prop("checked", true);
			$('#<%=cbSMTPUseSSL.ClientID %>').prop("checked", true);
			$('#<%=tbSMTPUser.ClientID %>').val(oAddr.val());
			$('#<%=tbSMTPPort.ClientID %>').val(587);
		}
	}

	function EnableDisableAllEmailFields(value) {
		try {
			var strClassName = value ? "lightbg" : "";
			$("#<%= cbEnableCloseNotification.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbNoAttachmentsInNotifications.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbDisableAutologinLinks.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbEnableTicketConfirmationNotification.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbSendAdminEmailOnNewIssue.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbNotifyAllTechsOnReply.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbSendTechniciansEmailOnNewIssue.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbSendAdminEmailOnNewIssue.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbEmailOtherTechsOnTakeover.ClientID %>").get(0).readOnly = !value;
			$("#<%= tbReplyTo.ClientID %>").get(0).readOnly = !value;
			$("#<%= tbFromName.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbUseFromNameForUserOrigMsgs.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbSMTPUseSSL.ClientID %>").get(0).readOnly = !value;
			$("#<%= cbUseDefaultSMTP.ClientID %>").prop('disabled', !value);
			$("#<%= tbFrom.ClientID %>").get(0).readOnly = !value;
			if (!value)
				$(".notifications .onoffswitch-label:not(:first)").addClass("disabled");
			else
				$(".notifications .onoffswitch-label:not(:first)").removeClass("disabled");

			if (!value)
				EnableDisableSMTPFields(true);
			else
				EnableDisableSMTPFields($("#<%= cbUseDefaultSMTP.ClientID %>").prop("checked"));

		} catch (e) { }
	}
	$(document).ready(function () {
		$(window).load(function () { //so it runs LAST, after the iOS-onoff script from the masterpage is done
			EnableDisableAllEmailFields(document.getElementById("<%=cbEmail.ClientID %>").checked);
		});
	});

	function EnableDisableSMTPFields(value) {
		try {

			$("#<%= tbSMTPServer.ClientID %>").get(0).readOnly = value;
			$("#<%= tbSMTPPort.ClientID %>").get(0).readOnly = value;
			$("#<%= cbSmtpAuth.ClientID %>").get(0).readOnly = value;
			$("#<%= tbSMTPUser.ClientID %>").get(0).readOnly = value;
			$("#<%= tbSMTPPsw.ClientID %>").get(0).readOnly = value;
			$("#<%= cbSMTPUseSSL.ClientID %>").get(0).readOnly = value;
			$("#<%= btnTestSMTP.ClientID %>").get(0).readOnly = value;
			if (value) $("#spfNote").css('visibility', 'visible'); else $("#spfNote").css('visibility', 'hidden');

		} catch (e) { }
	}

</script>
</asp:Content>