﻿<%@ Page Title="POP/IMAP milboxes" Language="C#" MasterPageFile="~/HelpDeskMaster.Master" AutoEventWireup="true" ValidateRequest="false" CodeBehind="AdminPOPServers.aspx.cs" Inherits="HelpDesk.AdminPOPServers" %>
<%@ Import Namespace="HelpDesk.Resources" %>
<%@ Register TagPrefix="my" Namespace="HelpDesk" Assembly="HelpDesk"  %>

<asp:Content ContentPlaceHolderID="head" runat="server">
	<style type="text/css"> .delete {line-height:24px !important;} </style>
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder2" ID="Content1" runat="server">
    <a href="Admin.aspx"><%= HelpDesk.Resources.LangStrings.Administration %></a> &raquo; <a href="AdminEmail.aspx">Email</a> &raquo; <asp:Label runat="server" ID="Label1" EnableViewState="False" meta:resourcekey="lblPOPServersResource1" Text="Mail accounts"/>
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<asp:ScriptManager runat="server" ID="ScriptManager1" ScriptMode="Release"></asp:ScriptManager>

<asp:UpdatePanel ID="UpdatePanel1" runat="server">
<ContentTemplate>
<asp:DataGrid runat="server" ID="gridServers" UseAccessibleHeader="true" Width="100%"
	 CssClass=" sortable  outerroundedbox  horizseparated" AutoGenerateColumns="false"
	OnEditCommand="gridServers_EditCommand" GridLines="None" CellSpacing="-1"
	OnItemCreated="gridServers_ItemCreated"
	OnCancelCommand="gridServers_CancelCommand" OnUpdateCommand="gridServers_UpdateCommand"
		OnItemCommand="gridServers_ItemCommand" OnItemDataBound="gridServers_ItemDataBound">
	<HeaderStyle Wrap="false"></HeaderStyle>
	<FooterStyle CssClass="sortbottom" />
	<AlternatingItemStyle CssClass="alternativeLightbg" />
	<Columns>
		<asp:BoundColumn HeaderText="Hostname" DataField="HostName" ItemStyle-Width="100%" />

		<asp:TemplateColumn HeaderText="Port">
			<ItemTemplate><%# Eval("Port") %></ItemTemplate>
			<EditItemTemplate>
				<asp:TextBox ID="tbPort" runat="server" type="number" min="0" Text='<%# Eval("Port") %>' Style="width: 30px" />
			</EditItemTemplate>
		</asp:TemplateColumn>

		<asp:BoundColumn HeaderText="Login" DataField="Login" />

		<asp:TemplateColumn HeaderText="Password">
			<ItemTemplate>
				******
			</ItemTemplate>
			<EditItemTemplate>
				<asp:TextBox ID="tbPassword" Width="100%" runat="server" TextMode="Password" Text='<%# Eval("Password") %>' value='<%# Eval("Password") %>' />
			</EditItemTemplate>
		</asp:TemplateColumn>

		<asp:TemplateColumn HeaderText="Use SSL">
			<HeaderStyle Width="15px" HorizontalAlign="Center" />
			<ItemTemplate>
				<%# (bool)Eval("UseSSL") ? "Yes" : "No"%>
			</ItemTemplate>
			<EditItemTemplate>
				<asp:CheckBox ID="cbUseSSLEdit" runat="server" Checked='<%# Eval("UseSSL") %>' />
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="Category" ItemStyle-Wrap="false">
			<ItemTemplate><%# GetCategoryNameById(Eval("NewTicketsCategoryID")) %></ItemTemplate>
			<EditItemTemplate>
				<my:GroupedDropDownList ID="ddlCategoriesEdit" Width="100%" runat="server" DataTextField="Name" DataSource="<%#CategoriesTable%>" DataValueField="CategoryID" DataGroupField="Section" />
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="IMAP">
			<HeaderStyle Width="15px" HorizontalAlign="Center" />
			<ItemTemplate>
				<%# (bool)Eval("IsImap") ? "Yes" : "No" %>
			</ItemTemplate>
			<EditItemTemplate>
				<asp:CheckBox ID="cbIsImapEdit" runat="server" Checked='<%# Eval("IsImap") %>' title="Check for IMAP, leave unchecked for POP3" />
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="Status">
			<HeaderStyle Width="15px" HorizontalAlign="Center" />
			<ItemTemplate>
				<%# (bool)Eval("Disabled") ? "<i class='fa fa-circle' style='color: #A63232;' title='Disabled, emails are not fetched from this server'></i>" : "<i class='fa fa-circle' style='color: #4c4;' title='Enabled, fetching emails every 3-7 minutes'></i>"%>
			</ItemTemplate>
			<EditItemTemplate>
				<asp:CheckBox ID="cbEnabledEdit" runat="server" title="Enabled?" Checked='<%# !(bool)Eval("Disabled") %>' />
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText='Delete or "Mark read"?'>
			<HeaderStyle Width="15px" HorizontalAlign="Center" />
			<ItemTemplate>
				<%# (bool)Eval("ImapMarkSeenNotDelete") ? "Mark as read" : "Delete"%>
			</ItemTemplate>
			<EditItemTemplate>
				<asp:DropDownList ID="ddlImapMarkSeenNotDelete" Width="100%" runat="server" SelectedValue='<%# (bool)Eval("ImapMarkSeenNotDelete") ? "1" : "0" %>'>
					<asp:ListItem Value="0">Delete</asp:ListItem>
					<asp:ListItem Value="1">Mark read (IMAP only)</asp:ListItem>
				</asp:DropDownList>
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn>
			<ItemTemplate></ItemTemplate>
			<EditItemTemplate></EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn ItemStyle-Wrap="false">
			<ItemTemplate>
				<button type="button" class="graybutton" onclick="TestValues('<%# Eval("Hostname") %>','<%# Eval("Port") %>','<%# Eval("Login").ToString().Replace("\\", "\\\\") %>','<%# Eval("Password").ToString().Replace("\\", "\\\\") %>', <%# Eval("UseSSL").ToString().ToLower() %>, <%# Eval("IsImap").ToString().ToLower() %>, '<%# Eval("NewTicketsCategoryID") %>', true)" title="Fetch new emails now..."><i class="fa fa-refresh" aria-hidden="true"></i></button>
				<button type="button" class="graybutton" onclick="TestValues('<%# Eval("Hostname") %>','<%# Eval("Port") %>','<%# Eval("Login").ToString().Replace("\\", "\\\\") %>','<%# Eval("Password").ToString().Replace("\\", "\\\\") %>', <%# Eval("UseSSL").ToString().ToLower() %>, <%# Eval("IsImap").ToString().ToLower() %>, '<%# Eval("NewTicketsCategoryID") %>')">Test</button>
				<asp:Button runat="server" CommandName="edit" Text="Edit" />
				<asp:LinkButton ID="btnDelete" runat="server" CausesValidation="false" CommandName="Delete" Text="" CssClass="fa fa-times-circle delete" OnClientClick="return confirm(areYouSure);"></asp:LinkButton>
			</ItemTemplate>
			<EditItemTemplate>
				<asp:Button runat="server" CommandName="update" Text="Update" />
				<asp:Button runat="server" CommandName="cancel" Text="Cancel" CssClass="graybutton" />
			</EditItemTemplate>
		</asp:TemplateColumn>
	</Columns>
</asp:DataGrid></ContentTemplate></asp:UpdatePanel>

<asp:UpdatePanel ID="UpdatePanel2" runat="server">
<ContentTemplate>
	<table class="outerroundedbox grey" style="width:750px">
	<tr><th colspan="4">Add a new mailbox</th></tr>
	<tr><td>Server type</td>
		<td>
			<asp:RadioButton Text="POP3" GroupName="SrvType" runat="server" ID="rbPOP3" Checked="true" onclick="AutoSetPopImapPorts()" />
			<asp:RadioButton Text="IMAP" GroupName="SrvType" runat="server" ID="rbIMAP" onclick="AutoSetPopImapPorts()" />
		</td>
		<td colspan="2"><asp:CheckBox ValidationGroup="add" ID="cbUseSSL" runat="server" Text="Use SSL to connect to the server" onclick="AutoSetPopImapPorts()" /></td>
	</tr>
	<tr><td>* Server hostname:</td>
	<td><asp:RequiredFieldValidator ValidationGroup="add" ControlToValidate="tbHostName" ID="RequiredFieldValidator1" runat="server" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
	<asp:TextBox ValidationGroup="add" ID="tbHostName" onblur="SetGmail()" runat="server"/></td>
	<td>* Port:</td>
	<td><asp:RequiredFieldValidator ValidationGroup="add" ControlToValidate="tbPort" ID="RequiredFieldValidator2" runat="server" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
	<asp:RegularExpressionValidator ID="RegularExpressionValidator1" ValidationGroup="add" ControlToValidate="tbPort" is="RegularExpressionValidator1" runat="server" Display="Dynamic" ErrorMessage="*" ValidationExpression="\d+"></asp:RegularExpressionValidator>
	<asp:TextBox ValidationGroup="add" type="number" min="0" Columns="4" ID="tbPort" Text="110" runat="server" /></td>
	</tr><tr><td>* Login:</td>
	<td><asp:RequiredFieldValidator ValidationGroup="add" ControlToValidate="tbLogin" ID="RequiredFieldValidator3" runat="server" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
	<asp:TextBox ValidationGroup="add" ID="tbLogin" runat="server"/></td>
	<td>* Password:</td>
	<td><asp:RequiredFieldValidator ValidationGroup="add" ControlToValidate="tbPassword" ID="RequiredFieldValidator4" runat="server" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
	<asp:TextBox ValidationGroup="add" ID="tbPassword" TextMode="Password" runat="server"/></td>
	<tr>
	<td colspan="4">    
	<div runat="server" id="divTestEmail" style="display:block;" visible="false"></div>
	</td></tr>
	</tr><tr><td colspan="2">Category for new tickets for this account (this overrides the general setting):</td>
	<td colspan="2"><my:GroupedDropDownList ID="ddlNewTicketCategory" runat="server" DataTextField="Name" DataValueField="CategoryID" DataGroupField="Section" /></td></tr>
	<tr><td colspan="4" align="right">
		<asp:HiddenField ID="hdnFetch" runat="server" Value="false"/>
		<asp:Button ValidationGroup="add" ID="btnTest" runat="server" Text="Test the entered values" CssClass="graybutton" OnClick="btnTest_Click" /> <asp:Button ValidationGroup="add" ID="btnAdd" runat="server" Text="Add mailbox" OnClick="btnAdd_Click" meta:resourcekey="btnAddResource1" />
	</td></tr>
	</table>
</ContentTemplate></asp:UpdatePanel>
	
<asp:UpdateProgress ID="UpdateProgress1" AssociatedUpdatePanelID="UpdatePanel2" runat="server">
<ProgressTemplate>
	<img src="<%= Cdn("images/indicator.gif") %>" />
</ProgressTemplate>
</asp:UpdateProgress>

<script type="text/javascript">
	function TestValues(server, port, login, psw, isSSL, isIMAP, catId, fetch) {
		$('#<%= rbIMAP.ClientID %>').attr('checked', isIMAP);
		$('#<%= tbHostName.ClientID %>').val(server);
		$('#<%= tbPort.ClientID %>').val(port);
		$('#<%= tbLogin.ClientID %>').val(login);
		$('#<%= tbPassword.ClientID %>').val(psw);
		$('#<%= cbUseSSL.ClientID %>').attr('checked', isSSL);
		$('#<%= ddlNewTicketCategory.ClientID %>').val(catId);
		$('#<%= hdnFetch.ClientID %>').val(fetch);
		$('#<%= btnTest.ClientID %>').click();
	}
	function SetGmail() {
		var oSrv = $('#<%= tbHostName.ClientID %>');
		if (oSrv.val() == "pop.gmail.com") {
			$('#<%=cbUseSSL.ClientID %>').prop("checked", true);
			$('#<%=tbPort.ClientID %>').val(995);
		}
		if (oSrv.val() == "imap.gmail.com") {
			$('#<%=cbUseSSL.ClientID %>').prop("checked", true);
			$('#<%=tbPort.ClientID %>').val(993);
			$('#<%=rbIMAP.ClientID%>').click();
		}
	}
	function AutoSetPopImapPorts() {
		var ssl = $('#<%=cbUseSSL.ClientID %>')[0].checked;
		var pop = $('#<%=rbPOP3.ClientID %>')[0].checked;
		if (pop)
			$('#<%=tbPort.ClientID %>').val(ssl ? 995 : 110);
		else
			$('#<%=tbPort.ClientID %>').val(ssl ? 993 : 143);
	}
	var areYouSure = '<%= LangStrings.AreYouSure %>';
</script>

</asp:Content>
