<%@ Page Language="c#" CodeBehind="AdminSettings.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.AdminSettings" ValidateRequest="false" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Import Namespace="HelpDesk.BusinessLayer" %>
<%@ Import Namespace="HelpDesk.Resources" %>
<%@ Import Namespace="Jitbit.Utils" %>
<%@ Register Src="~/LanguageList.ascx" TagName="LanguageList" TagPrefix="ll" %>
<%@ Register TagPrefix="my" Namespace="HelpDesk" Assembly="HelpDesk"  %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder2" ID="Content2" runat="server">
    <a href="Admin.aspx"><%= LangStrings.Administration %></a> &raquo; <asp:Label runat="server" ID="lblSettings" EnableViewState="False" meta:resourcekey="lblSettingsTitleResource1">General settings</asp:Label>
</asp:Content>
<asp:Content ContentPlaceHolderID="head" runat="server">
	<% if (!Request.IsSmartphone()){ %>
	<style>
		label#ctl00_ContentPlaceHolder1_lblHeaderBgCol div{display:none}

		.colorsample {width:15px;height:15px;border-radius:3px;border: 1px solid #ccc;position:absolute;margin:4px 0 0 4px;}
		input.colorpicker {padding-left:30px;width:50px;text-transform:uppercase;}
		.saml{display:none}
		input[type="text"] {background-position: 150% 50% !important;}/*stupid lastpass fix*/
		code{color:darkred;}
	</style>
	<% } %>
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">
	<div class="narrowCenteredContainer onoffcontainer">
<p><asp:Button ID="btnSaveTop" runat="server" Text="Save changes" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1" /></p>

<%--
<div>
<div><strong><a href="Admin.aspx">Administration</a> &raquo; <asp:Label runat="server" ID="lblSettings" EnableViewState="False" meta:resourcekey="lblSettingsResource1" Text="Settings"/></strong></div>
<p/>
</div>--%>

<div runat="server" id="divErrors" visible="false" enableviewstate="false"></div>

<script src="js/colpick.js" type="text/javascript"></script>
<link rel="stylesheet" href="js/colpick.css"/>
			
<div runat="server" id="divTestEmail" visible="false" enableviewstate="false"></div>

<table class="outerroundedbox grey admintable" width="100%">
<colgroup><col style="width:30%" /><col style="width:20%" /><col style="width:20%" /><col style="width:25%" /></colgroup>
<tr><th colspan="4">
	<h3><asp:Label ID="lblDesign" runat="server" EnableViewState="false"><%= LangStrings.Design %></asp:Label>
	<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#design')" class="fa fa-question-circle"></a></h3>
</th></tr>
<tbody>
<tr>
	<td><asp:Label ID="lblHeaderBgCol" style="position:relative" AssociatedControlID="tbHeaderBGColor" meta:resourcekey="lblHeaderBGColorResource1" EnableViewState="false" runat="server" Text="Header background color:<br />(dark tones are highly recommended)" /></td>
	<td>
		<span style="background:#<%= Settings.This.HeaderBGColor %>;" class="colorsample"></span><asp:TextBox ID="tbHeaderBGColor" runat="server" CssClass="colorpicker" data-cssselector="#divBigHeader, .adminlogo" data-cssproperty="background-color"/>
	</td>
	<td><asp:Label AssociatedControlID="tbHeaderBGColor" meta:resourcekey="lblHeaderTextColorResource1" EnableViewState="false" runat="server" Text="Header text color:" /></td>
	<td>
		<span style="background:#<%= Settings.This.HeaderTextColor %>;" class="colorsample"></span><asp:TextBox ID="tbHeaderTextColor" runat="server"  CssClass="colorpicker" data-cssselector=".tabmenu li:not(.active) a, #spanTitle" data-cssproperty="color"/>
	</td>
</tr>
<tr>
	<td><asp:Label AssociatedControlID="tbMenuBarBGColor" meta:resourcekey="lblMenuBarBGColorResource1" EnableViewState="false" runat="server" Text="Menu-bar background color:" /></td>
	<td>
		<span style="background:#<%= Settings.This.MenuBarBGColor %>;" class="colorsample"></span><asp:TextBox ID="tbMenuBarBGColor" runat="server"  CssClass="colorpicker" data-cssselector=".tabmenu2, .tabmenu li.active a" data-cssproperty="background-color"/>
	</td>
	<td><asp:Label AssociatedControlID="tbMenuBarTextColor" meta:resourcekey="lblMenuBarTextColorResource1" EnableViewState="false" runat="server" Text="Menu-bar tab text color:" /></td>
	<td>
		<span style="background:#<%= Settings.This.MenuBarTextColor %>;" class="colorsample"></span><asp:TextBox ID="tbMenuBarTextColor" runat="server"  CssClass="colorpicker" data-cssselector=".tabmenu2" data-cssproperty="color"/>
	</td>
</tr>
<tr>
	<td><asp:Label AssociatedControlID="tbActiveTabTextColor" meta:resourcekey="lblActiveTabTextColorResource1" EnableViewState="false" runat="server" Text="Menu-bar tab text color:" /></td>
	<td>
		<span style="background:#<%= Settings.This.ActiveTabTextColor %>;" class="colorsample"></span><asp:TextBox ID="tbActiveTabTextColor" runat="server"  CssClass="colorpicker" data-cssselector=".tabmenu li.active a, .tabmenu2 > a" data-cssproperty="color"/>
	</td>
</tr>
<tr><td></td><td><asp:LinkButton ID="btnResetDesign" runat="server" Text="reset to defaults" meta:resourcekey="btnResetDesignResource1" CausesValidation="false" onclick="btnResetDesign_Click" OnClientClick="return confirm(areYouSure)"/></td></tr>
<tr><td></td><td colspan="3" class="grey2">
	<asp:Label runat="server" ID="lblDesignSettingNote" EnableViewState="False" meta:resourcekey="lblDesignSettingNoteResource1" Text="After updating the design settings you may have to open the homepage and hit F5 ('Refresh') several times in your browser to clear the browser's cache." />
</td></tr>
<tr><td></td><td colspan="3"><a onclick="$('.advancedCss').fadeToggle()" href="javascript:void(0)"><%= LangStrings.Advanced %> CSS &amp; JS...</a></td></tr>
	<tr class="advancedCss" style="display:none">
		<td style="vertical-align: top;">
			<asp:Label AssociatedControlID="tbCustomCSS" meta:resourcekey="lblCustomCSSResource1" EnableViewState="false" runat="server" Text="Custom CSS" />
			<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#customcss')" class="fa fa-question-circle"></a>
		</td>
		<td colspan="3">
			<p>
			<code>&lt;style&gt;</code><br/>
			<asp:TextBox ID="tbCustomCSS" runat="server" EnableViewState="False" TextMode="MultiLine" Rows="3" Columns="80" style="font-family: Consolas, Courier;"></asp:TextBox>
			<br/><code>&lt;/style&gt;</code>
			</p>
		</td>
	</tr>
	<tr class="advancedCss" style="display:none">
		<td style="vertical-align: top;">
			<asp:Label AssociatedControlID="tbCustomJS" meta:resourcekey="lblCustomJSResource1" EnableViewState="false" runat="server" Text="Custom JavaScript" />
			<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#customjs')" class="fa fa-question-circle"></a>
		</td>
		<td colspan="3">
			<p>
			<code>&lt;script&gt;</code><br/>
			<asp:TextBox ID="tbCustomJS" runat="server" EnableViewState="False" TextMode="MultiLine" Rows="3" Columns="80" style="font-family: Consolas, Courier;"></asp:TextBox>
			<br/><code>&lt;/script&gt;</code>
			</p>
		</td>
	</tr>
	<tr class="advancedCss" style="display:none">
		<td style="vertical-align:top">KB-specific CSS</td>
		<td  colspan="3">
			<code>&lt;style&gt;</code><br/>
			<asp:TextBox ID="tbKBCss" TextMode="MultiLine" runat="server" Rows="3" EnableViewState="false" style="font-family: Consolas, Courier;"></asp:TextBox>
			<code>&lt;/style&gt;</code>
			&nbsp; <span class="grey2">Added to Knowledge Base pages along with global CSS</span>
		</td>
	</tr>
	<tr class="advancedCss" style="display:none">
		<td style="vertical-align:top">KB-specific JavaScript</td>
		<td  colspan="3">
			<code>&lt;script&gt;</code><br/>
			<asp:TextBox ID="tbKBHeadCode" TextMode="MultiLine" runat="server" Rows="3" EnableViewState="false" style="font-family: Consolas, Courier;"></asp:TextBox>
			<code>&lt;/script&gt;</code>
			&nbsp; <span class="grey2">Will be inserted into KB pages' &lt;head&gt; ... use for Google Analytics or custom javascript.</span>
		</td>
	</tr>
	<tr><td colspan="4"></td></tr>
<tr><td colspan="4" class="separator"></td></tr>
<tr>
	<td style="white-space:nowrap"><asp:Label meta:resourcekey="lblfileLogoResource1" EnableViewState="false" runat="server" Text="Logo image (30px height, <b style='color:red'>PNG</b>):<br/>Transparent background is <b>highly</b> recommended." /></td>
	<td>
		<asp:FileUpload ID="fileLogo" runat="server" CssClass="fancyfile" />
		<label for="<%= fileLogo.ClientID %>"><%= LangStrings.AttachAFile %></label>
		<br />
		<% if (Settings.This.LogoImage != null) { %>
			<img style="padding:5px;margin-top:5px;height:30px;" class="adminlogo headerBGColor" src="LogoImage.ashx?nocache=true" alt="logo" />
			<br /><a href="javascript:void(0)" onclick="$('.adminlogo').remove();$(this).remove();$('#removeLogo').val('true');">
				<asp:Label runat="server" ID="Label1" EnableViewState="False" meta:resourcekey="btRemoveLogoResource1" Text="remove logo" />
			      </a>
		<% } %>
		<asp:HiddenField runat="server" ID="removeLogo" ClientIDMode="Static" EnableViewState="False"/>
	</td>

	<td style="white-space:nowrap"><asp:Label meta:resourcekey="lblfileFaviconResource1" EnableViewState="false" runat="server" Text="Logo image (30px height, <b style='color:red'>PNG</b>):<br/>Transparent background is <b>highly</b> recommended." /></td>
	<td colspan="3">
		<asp:FileUpload ID="fileFavicon" runat="server" CssClass="fancyfile" />
		<label for="<%= fileFavicon.ClientID %>"><%= LangStrings.AttachAFile %></label>
		<br />
		<% if (Settings.This.FaviconImage != null) { %>
			<img style="margin-top:5px;width:32px;" class="adminfavicon" src="FaviconImage.ashx" alt="favicon" />
			<br /><a href="javascript:void(0)" onclick="$('.adminfavicon').remove();$(this).remove();$('#removeFavicon').val('true');">
				<asp:Label runat="server" ID="lblRemoveFavicon" EnableViewState="False" meta:resourcekey="btRemoveFaviconResource1" Text="remove favicon" />
			      </a>
		<% } %>
		<asp:HiddenField runat="server" ID="removeFavicon" ClientIDMode="Static" EnableViewState="False"/>
	</td>
</tr>
<tr><td colspan="4"></td></tr>
<tr><td colspan="4" class="separator"></td></tr>
<tr>
	<td>
		<asp:Label runat="server" ID="lblHelpDeskTitle" EnableViewState="False" meta:resourcekey="lblHelpDeskTitleResource1" Text="Helpdesk title (displayed on top):" />
	</td>
	<td><asp:TextBox ID="tbInstanceDescr" runat="server" EnableViewState="False"></asp:TextBox></td>
</tr>
<tr>
	<td>
		<%= LangStrings.LogoURL %>:
	</td>
	<td><asp:TextBox ID="tbLogoUrl" runat="server" EnableViewState="False" placeholder="http://my-company.com" MaxLength="100"></asp:TextBox></td>
</tr>
<tr><td colspan="4"></td></tr>
<tr><td colspan="4" class="separator"></td></tr>
<tr id="trInstanceName" runat="server" enableviewstate="false">
	<td>Helpdesk URL:</td>
	<td colspan="3"><asp:TextBox ID="tbInstanceName" runat="server" EnableViewState="False" pattern="[A-Za-z0-9]+"></asp:TextBox>.jitbit.com
	</td>
</tr>
<tr id="trInstanceDomain" runat="server" enableviewstate="false">
	<td>Custom domain:</td>
	<td>
		<asp:TextBox ID="tbInstanceDomain" runat="server" EnableViewState="False"></asp:TextBox>
		<div class="grey2">leave blank to disable this feature<br />
		<a href="http://www.jitbit.com/hosted-helpdesk/hosted-help-desk-custom-domain/" target="_blank">more info about custom domains</a></div>
	</td>
</tr>
<tr>
	<td colspan="2"><asp:CheckBox ID="cbHidePoweredBy" runat="server" meta:resourcekey="cbHidePoweredByResource1" Text="Hide the 'powered by' label from the page footer and from emails"/></td>
</tr>
</tbody>
</table>



<!--Regional settins-->
<table class="outerroundedbox admintable grey" style="width:100%;">
<colgroup><col style="width:30%" /><col style="width:70%" /></colgroup>
<tr>
	<th colspan="2">
		<h3>
			<asp:Label runat="server" ID="lblRegionHeader" EnableViewState="False" meta:resourcekey="lblRegionHeaderResource1" Text="Region" />
		</h3>
	</th>
</tr>
<tbody>
<tr>
	<td>
		<asp:Label runat="server" ID="lblLang" EnableViewState="False" meta:resourcekey="lblLangResource1" Text="Language:" AssociatedControlID="llLang" />
	</td>
	<td>
		<ll:languagelist id="llLang" runat="server" />
	</td>
</tr>
<tr>
	<td>
		<%= LangStrings.TimeZone %>:
	</td>	
	<td>
		<asp:DropDownList ID="ddlTimezone" runat="server"></asp:DropDownList>
		<div class="grey2">
			<asp:Label runat="server" ID="lblTimeUtc" EnableViewState="False" meta:resourcekey="lblTimeUtcResource1" Text="Current UTC time is: " />
			<b><%= DateTime.UtcNow.ToString("HH:mm:ss") %> </b>
			<br />
			<asp:Label runat="server" ID="lblTimeLocal" EnableViewState="False" meta:resourcekey="lblTimeLocalResource1" Text="Curent time on your computer: " />		
			<b><span id="currCLientTime"></span></b> 
			<a href="javascript:void(0)" onclick="setClientTimeZone()">
			<asp:Label runat="server" ID="lblSetToLocalTimezone" EnableViewState="False" meta:resourcekey="lblSetToLocalTimezoneResource1" Text="set to your local timezone..." />		
            </a>
		</div>
	</td>
</tr>
<tr><td>
	<asp:Label runat="server" ID="lblWorkingHours" EnableViewState="False" meta:resourcekey="lblWorkingHoursResource1" Text="Working hours:"/>
    </td>
	<td>
		From:
		<select name="WorkHourFrom">
			<option value="">-</option>
			<option value="400" <%= (Settings.This.WorkHourFrom == 400 ? "selected='selected' " : "") %>>4:00</option>
			<option value="430" <%= (Settings.This.WorkHourFrom == 430 ? "selected='selected' " : "") %>>4:30</option>
			<option value="500" <%= (Settings.This.WorkHourFrom == 500 ? "selected='selected' " : "") %>>5:00</option>
			<option value="530" <%= (Settings.This.WorkHourFrom == 530 ? "selected='selected' " : "") %>>5:30</option>
			<option value="600" <%= (Settings.This.WorkHourFrom == 600 ? "selected='selected' " : "") %>>6:00</option>
			<option value="630" <%= (Settings.This.WorkHourFrom == 630 ? "selected='selected' " : "") %>>6:30</option>
			<option value="700" <%= (Settings.This.WorkHourFrom == 700 ? "selected='selected' " : "") %>>7:00</option>
			<option value="730" <%= (Settings.This.WorkHourFrom == 730 ? "selected='selected' " : "") %>>7:30</option>
			<option value="800" <%= (Settings.This.WorkHourFrom == 800 ? "selected='selected' " : "") %>>8:00</option>
			<option value="830" <%= (Settings.This.WorkHourFrom == 830 ? "selected='selected' " : "") %>>8:30</option>
			<option value="900" <%= (Settings.This.WorkHourFrom == 900 ? "selected='selected' " : "") %>>9:00</option>
			<option value="930" <%= (Settings.This.WorkHourFrom == 930 ? "selected='selected' " : "") %>>9:30</option>
			<option value="1000" <%= (Settings.This.WorkHourFrom == 1000 ? "selected='selected' " : "") %>>10:00</option>
			<option value="1030" <%= (Settings.This.WorkHourFrom == 1030 ? "selected='selected' " : "") %>>10:30</option>
			<option value="1100" <%= (Settings.This.WorkHourFrom == 1100 ? "selected='selected' " : "") %>>11:00</option>
			<option value="1130" <%= (Settings.This.WorkHourFrom == 1130 ? "selected='selected' " : "") %>>11:30</option>
			<option value="1200" <%= (Settings.This.WorkHourFrom == 1200 ? "selected='selected' " : "") %>>12:00</option>
			<option value="1230" <%= (Settings.This.WorkHourFrom == 1230 ? "selected='selected' " : "") %>>12:30</option>
			<option value="1300" <%= (Settings.This.WorkHourFrom == 1300 ? "selected='selected' " : "") %>>13:00</option>
		</select>
		to
		<select name="WorkHourTo">
			<option value="">-</option>
			<option value="1600" <%= (Settings.This.WorkHourTo == 1600 ? "selected='selected' " : "") %>>16:00</option>
			<option value="1630" <%= (Settings.This.WorkHourTo == 1630 ? "selected='selected' " : "") %>>16:30</option>
			<option value="1700" <%= (Settings.This.WorkHourTo == 1700 ? "selected='selected' " : "") %>>17:00</option>
			<option value="1730" <%= (Settings.This.WorkHourTo == 1730 ? "selected='selected' " : "") %>>17:30</option>
			<option value="1800" <%= (Settings.This.WorkHourTo == 1800 ? "selected='selected' " : "") %>>18:00</option>
			<option value="1830" <%= (Settings.This.WorkHourTo == 1830 ? "selected='selected' " : "") %>>18:30</option>
			<option value="1900" <%= (Settings.This.WorkHourTo == 1900 ? "selected='selected' " : "") %>>19:00</option>
			<option value="1930" <%= (Settings.This.WorkHourTo == 1930 ? "selected='selected' " : "") %>>19:30</option>
			<option value="2000" <%= (Settings.This.WorkHourTo == 2000 ? "selected='selected' " : "") %>>20:00</option>
			<option value="2030" <%= (Settings.This.WorkHourTo == 2030 ? "selected='selected' " : "") %>>20:30</option>
			<option value="2100" <%= (Settings.This.WorkHourTo == 2100 ? "selected='selected' " : "") %>>21:00</option>
			<option value="2130" <%= (Settings.This.WorkHourTo == 2130 ? "selected='selected' " : "") %>>21:30</option>
			<option value="2200" <%= (Settings.This.WorkHourTo == 2200 ? "selected='selected' " : "") %>>22:00</option>
			<option value="2230" <%= (Settings.This.WorkHourTo == 2230 ? "selected='selected' " : "") %>>22:30</option>
			<option value="2300" <%= (Settings.This.WorkHourTo == 2300 ? "selected='selected' " : "") %>>23:00</option>
			<option value="2330" <%= (Settings.This.WorkHourTo == 2330 ? "selected='selected' " : "") %>>23:30</option>
			<option value="0" <%= (Settings.This.WorkHourTo == 0 ? "selected='selected' " : "") %>>00:00</option>
			<option value="30" <%= (Settings.This.WorkHourTo == 30 ? "selected='selected' " : "") %>>00:30</option>
			<option value="100" <%= (Settings.This.WorkHourTo == 100 ? "selected='selected' " : "") %>>01:00</option>
			<option value="130" <%= (Settings.This.WorkHourTo == 130 ? "selected='selected' " : "") %>>01:30</option>
			<option value="200" <%= (Settings.This.WorkHourTo == 200 ? "selected='selected' " : "") %>>02:00</option>
		</select>
		<div class="grey2">
			<asp:Label runat="server" ID="lblWorkingHoursNote" EnableViewState="False" meta:resourcekey="lblWorkingHoursNoteResource1" Text='Optional. Used to correctly calculate "response time" etc.'/>
		</div>
	</td>
</tr>
<tbody>
</table>

<!-- various settings -->
<a id="variousSettings"></a>
<table class="outerroundedbox admintable grey" >
<colgroup><col style="width:30%" /><col style="width:70%" /></colgroup>

<tr>
	<th colspan="2">
		<h3><asp:Label runat="server" ID="lblVarious" EnableViewState="False" meta:resourcekey="lblVariousResource1" Text="Various settings"/>
		<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#various')" class="fa fa-question-circle"></a></h3>
	</th>
</tr>
<tbody>
<tr><td colspan="2"><asp:CheckBox ID="cbRestrictIssueDeletion" runat="server" Text="Restrict ticket deletion and marking as spam to Admins only (uncheck to allow users and techs delete their own tickets)" meta:resourcekey="cbRestrictIssueDeletionResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbRestrictIssueClosing" runat="server" Text="Restrict ticket closing to Technicians only (uncheck to allow users Close their own tickets)" meta:resourcekey="cbRestrictIssueClosingResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbSeeEveryonesIssues" runat="server" Text="Everyone sees everyones tickets (not recommended)" meta:resourcekey="cbSeeEveryonesIssuesResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableAssets" runat="server" Text="Disable Assets" meta:resourcekey="cbDisableAssetsResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableAvatars" runat="server" Text="Disable Avatars" meta:resourcekey="cbDisableAvatarsResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbAutoAssignFirstReplier" runat="server" Text="Auto-assign the first replying technician as ticket-agent (recommended)" meta:resourcekey="cbAutoAssignFirstReplierResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbEnableMultiAssign" runat="server" Text="Allow assigning a ticket to multiple technicians (not recommended)" meta:resourcekey="cbEnableMultiAssignResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDontReopenOnReply" runat="server" Text="Do NOT reopen tickets automatically when a reply is posted (not recommended)" meta:resourcekey="cbDoNotReopenTicketAutomaticallyResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbSameCompanyUserPermission" runat="server" Text="Allow users from the same company see each other's tickets" meta:resourcekey="cbSameCompanyUserPermissionResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableAutoTimer" runat="server" Text="Disable automatic 'time spent' clock on the ticket page" meta:resourcekey="cbDisableAutoTimerResource1" /></td></tr>

<tr>
	<td>
		<asp:Label runat="server" AssociatedControlID="ddlNewIssueCat" ID="lblDefaultCategory" EnableViewState="False" meta:resourcekey="lblDefaultCategoryResource1" Text="Default category (pre-selected on the 'new ticket' page)"/>:
	</td>
	<td>
		<my:GroupedDropDownList ID="ddlNewIssueCat" runat="server" DataTextField="Name" DataValueField="CategoryID" DataGroupField="Section" meta:resourcekey="ddlNewIssueCatResource1" />
	</td>
</tr>
<tr>
	<td style="vertical-align:top"><asp:Label ID="lblNewTicketNote" runat="server" EnableViewState="false" Text="Note on the ticket creation page" AssociatedControlID="tbNewTicketNote" meta:resourcekey="lblNewTicketNoteResource1"></asp:Label>:</td>
	<td><asp:TextBox ID="tbNewTicketNote" Rows="3" Columns="80" TextMode="MultiLine" runat="server" EnableViewState="false"></asp:TextBox><br />
	<span class="grey2"><asp:Label ID="lblNewTicketNoteHelp" runat="server" meta:resourcekey="lblNewTicketNoteHelpResource1" Text="This note will be shown at the top of the ticket creation page and in the widget. <br />Use it to provide some tips for users before they create a new ticket. You can use HTML." meta:resource="lblNewTicketNoteHelpResource1"></asp:Label></span></td>
</tr>
<tr>
	<td>
		<asp:Label runat="server" ID="lblDaysToCloseAfter" AssociatedControlID="tbDaysToCloseAfter" EnableViewState="False" meta:resourcekey="lblDaysToCloseAfterResource1" Text="Auto-close inactive ticket after (days):" />
	</td>
	<td><asp:TextBox ID="tbDaysToCloseAfter" runat="server" EnableViewState="False" type="number" min="0" />
		<div class="grey2"><asp:Label runat="server" EnableViewState="False" meta:resourcekey="lblDaysToCloseAfterHelpResource1">If a ticket has not been answered by the SUBMITTER within this time, the ticket is closed.</asp:Label></div>
	</td>
</tr>
</tbody>
</table>

<!--KB settings-->
<table class="outerroundedbox admintable grey kbtable" style="width:100%;">
<colgroup><col style="width:30%" /><col style="width:70%" /></colgroup>
<tr>
	<th colspan="2">
		<h3>
			<%= LangStrings.KnowledgeBase %>
		</h3>
	</th>
</tr>
<tbody>
<tr>
	<td colspan="2"><asp:CheckBox ID="cbDisableKB" onclick="DisableKB()" runat="server" Text="Disable the knowledge-base" meta:resourcekey="cbDisableKBResource1" /></td>
</tr>
<tr><td colspan="2"><asp:CheckBox ID="cbAllowAnonymousKBAccess" runat="server" Text="Allow unregistered users access the Knowledge Base" meta:resourcekey="cbAllowAnonymousKBAccessResource1" /></td></tr>
<tr>
	<td style="vertical-align:top">KB description</td>
	<td>
		<asp:TextBox ID="tbKBTitle" TextMode="MultiLine" runat="server" EnableViewState="false"></asp:TextBox>
		<div class="grey2">Shown above the search bar, HTML allowed</div>
	</td>
</tr>
</tbody>
</table>

<!--Auth settings-->
<table class="outerroundedbox admintable grey" width="100%">
<colgroup><col style="width:30%" /><col style="width:70%" /></colgroup>
<tr><th colspan="2">
	<h3><%= LangStrings.AuthenticationSettings %> <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#auth')" class="fa fa-question-circle"></a></h3>
</th></tr>
<tbody>
	<% if(ADUtils.IsWindowsAuthentication()) {%>
	<tr><td colspan="2">The following properties cannot be disabled when Windows-integrated (Active DIrectory) authentication is in use</td></tr>
	<%} %>
	<tr><td colspan="2"><asp:CheckBox ID="cbAllowGuestSubmission" runat="server" Text="Allow unregistered users submit tickets without logging in" meta:resourcekey="cbAllowGuestSubmissionResource1" /></td></tr>
	<tr><td colspan="2"><asp:CheckBox ID="chkAllowUserRegistration" runat="server" Text="Allow new users to register themselves (uncheck if you want to create all new users MANUALLY)" meta:resourcekey="chkAllowUserRegistrationResource1" /></td></tr>
	<tr><td colspan="2"><asp:CheckBox ID="cbAllowUsernameEmailEdit" runat="server" Text="Allow users to edit their username and email" meta:resourcekey="cbAllowUsernameEmailEditResource1" /></td></tr>
	<tr><td colspan="2"><asp:CheckBox ID="cbEnableGoogleLogin" runat="server" Text="Enable 'login with Google'" meta:resourcekey="cbEnableGoogleLoginResource1" /></td></tr>
	<tr><td colspan="2">&nbsp;</td></tr>

	<tr>
		<td>
			<asp:Label ID="lblAutoLoginSharedSecret" AssociatedControlID="tbAutoLoginSharedSecret" runat="server" EnableViewState="False" meta:resourcekey="lblAutoLoginSharedSecretResource1">Shared secret for remote authentication:</asp:Label>
		</td>
		<td>
			<asp:TextBox ID="tbAutoLoginSharedSecret" MaxLength="20" runat="server" EnableViewState="False" />
			<button type="button" onclick="GenerateSecret()" runat="server" id="btnGenerateSecret">
				<asp:Label runat="server" meta:resourcekey="lblGenerateResource1" EnableViewState="false">generate</asp:Label></button>
			<div class="grey2">
				<asp:Label ID="lblAutoLoginSharedSecretHelp" runat="server" EnableViewState="False" meta:resourcekey="lblAutoLoginSharedSecretHelpResource1">Used for automatic user sign-in. See the manual for more info about the remote authentication API.</asp:Label> <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#auth')" class="fa fa-question-circle"></a>
			</div>
			<script type="text/javascript">
				function GenerateSecret() { $('#<%= tbAutoLoginSharedSecret.ClientID %>').val(GeneratePassword(20)); }
			</script>
		</td>
	</tr>

	<% if(!ADUtils.IsWindowsAuthentication()) {%>
	<tr>
		<td>
			<asp:Label ID="lblRemoteLoginURL" AssociatedControlID="tbRemoteLoginURL" runat="server" EnableViewState="False" meta:resourcekey="lblRemoteLoginURLResource1">Remote login URL</asp:Label>:
		</td>
		<td>
			<asp:TextBox ID="tbRemoteLoginURL" MaxLength="500" runat="server" EnableViewState="False" />
			<br />
			<span class="grey2">Optional. Redirect users to a custom login page of your site or app. Access  "/User/Login?noredirect=1" in your browser to prevent redirecting for debugging purposes.</span>
		</td>
	</tr>
	<% } %>
	<tr><td colspan="2" class="separator"></td></tr>
	<tr><td colspan="2">
		<asp:CheckBox ID="cbEnableSaml" runat="server" Text="Enable SAML 2.0 single sign on" onclick="ShowHideSaml()" meta:resourcekey="cbEnableSamlResource1" />
		<script type="text/javascript">
			function ShowHideSaml() {
				if ($('#<%= cbEnableSaml.ClientID %>').is(":checked")) {
					$(".saml").fadeIn();
				}
				else {
					$(".saml").fadeOut();
				}
			}
			$(function () { ShowHideSaml(); });
		</script></td>
	</tr>
	<tr class="saml"><td>EndPoint URL:</td><td><asp:TextBox runat="server" ID="tbSamlEndpoint" /></td></tr>
	<tr class="saml"><td style="vertical-align:top">x509 certificate:</td><td><asp:TextBox ID="tbSamlCertificate" runat="server" TextMode="MultiLine" Rows="5"></asp:TextBox></td></tr>
	<tr class="saml"><td></td><td style="vertical-align:top"><asp:CheckBox ID="cbHideLoginButtonWhenSAML" runat="server" Text="Hide regular 'login' controls from the form when SAML enabled" /></td></tr>
	<tr><td colspan="2"></td></tr>
<% if (Instance.CurrentInstanceID != 0) { %>
<tr>
	<td class="separator">Active Directory:</td>
	<td class="separator"><i>If you want to remotely-authenticate users via your Active Directory - download the AD-authentication integration script <a href="<%= VirtualPathUtility.ToAbsolute("~/Admin/IisAdScript/") %>">here</a>, you'll find the IIS-installation instructions inside.</i></td>
</tr>
<% } %>
</tbody>
</table>

<p><asp:Button ID="btnSaveBottom" runat="server" Text="Save changes" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1" /></p>
</div>
<script type="text/javascript" src="js/passwordgen.js"></script>
<script type="text/javascript" src="js/fancyfile.js"></script>
<script src="js/jquery.validate.min.js" type="text/javascript"></script>
<script type="text/javascript">
	$(function () {
		DisableKB();
	});
	function DisableKB() {
		var chkd = document.getElementById("<%= cbDisableKB.ClientID %>").checked;
		$('.kbtable textarea').prop('readonly', chkd);
	}
	jQuery.validator.addMethod(
		'HexColor',
		function(value) {
			return /(^[0-9A-F]{6}$)|(^[0-9A-F]{3}$)/i.test(value);
		},
		'This must be a valid hex color value'
	);
	jQuery.validator.addMethod(
		'InstanceName',
		function (value) {
			return /[0-9A-Za-z]+/i.test(value);
		},
		'It should contain numbers and letters only'
	);
	jQuery.validator.addMethod(
		'SecretLength',
		function (value) {
			return value.length > 15;
		},
		'Should be longer than 15 characters'
	);
	$(function() {
		$("#aspnetForm").validate();

		$("#<%= tbHeaderBGColor.ClientID %>").rules("add", {
			HexColor: true
		});

		$("#<%= tbHeaderTextColor.ClientID %>").rules("add", {
			HexColor: true
		});

		$("#<%= tbMenuBarBGColor.ClientID %>").rules("add", {
			HexColor: true
		});

		$("#<%= tbMenuBarTextColor.ClientID %>").rules("add", {
			HexColor: true
		});

		$("#<%= tbActiveTabTextColor.ClientID %>").rules("add", {
			HexColor: true
		});

		if ($("#<%=tbInstanceName.ClientID%>").length > 0) {
			$("#<%= tbInstanceName.ClientID %>").rules("add", {
				InstanceName: true
			});
		}

		$("#<%= tbAutoLoginSharedSecret.ClientID %>").rules("add", {
			SecretLength: true
		});
	});

	function pad(n) { return ("0" + n).slice(-2); }
	function getCurrTime() {
		var dt=new Date(), h=dt.getHours(), m=dt.getMinutes(), s=dt.getSeconds(),
			curTime= pad(h)+':'+pad(m)+':'+pad(s);
		$("#currCLientTime").text(curTime);
	}
	getCurrTime();

	function setClientTimeZone() {
		var offset = Math.floor((new Date()).stdTimezoneOffset() / 60);<%--this method is defined below--%>
		offset = -offset;
		var strOffset = "(UTC" + (offset > 0 ? "+" : "") + ("0" + offset).slice(-2) + ":00";
		$("#<%=ddlTimezone.ClientID %> option")
			.filter(function () {
				return $(this).text().substr(0, 10) == strOffset;
			})
			.attr('selected', 'selected');
	}
	<%-- returns STANDARD time offset, that does not cound for daylight saving, see http://stackoverflow.com/a/11888430/714733 --%>
	Date.prototype.stdTimezoneOffset = function () {
		var jan = new Date(this.getFullYear(), 0, 1);
		var jul = new Date(this.getFullYear(), 6, 1);
		return Math.max(jan.getTimezoneOffset(), jul.getTimezoneOffset());
	}

	$('.colorpicker').colpick({
		layout: 'hex',
		submit: 0,
		colorScheme: 'light',
		onChange: function (hsb, hex, rgb, el, bySetColor) {
			var elem = $(el);
			var cssselector = elem.data("cssselector");
			var csssproperty = elem.data("cssproperty");
			$(cssselector).css(csssproperty, '#' + hex);
			elem.prev().css('background-color', '#' + hex);
			if (!bySetColor) $(el).val(hex);
		}
	}).focus(function () {
		$(this).colpickSetColor(this.value);
	});

	$('.colorsample').click(function () { //make color samples clickable
		$(this).next().click();
	})

	var areYouSure = '<%= LangStrings.AreYouSure %>';

	//autologin builder
	window.addEventListener('message', receiveMessage, false);

	function receiveMessage(evt) {
		if (evt.data === 'autobuilder') {
			DisplayHelp('Admin/AutoLoginBuilder?SimpleMaster=1');
		}
	}
</script>

</asp:Content>